• Goedemiddag,

    ik maak gebruik van jullie plug-in op devriesbedrijfswagens.nl om bezoekers hun APK te laten checken voordat zij een aanvraag doen tot APK werkzaamheden.
    Dit werkte voorheen zonder problemen, maar sinds alles is ge├╝pdate naar de nieuwste versie (WP versie 4.7.3 en RDW plugin versie 2.0.6) is alles automatisch ‘undefined’ na het opzoeken van een kenteken.

    Dit kan bekeken worden op de pagina http://devriesbedrijfswagens.nl/apk-check/
    Wat mij wel opvalt is dat de PHP versie op deze hosting een 5.3.29 is en geen 5.6 zoals WordPress als minimum vereist. Maar alles werkt naar behoren behalve deze plug-in. Mocht dit relevant zijn dan doen we een upgrade naar 5.6 maar anders niet.
    Weten jullie wat het mogelijke probleem zou mogen zijn?

Viewing 1 replies (of 1 total)
  • Als ik de pagina bekijk in debugging dan komt deze terug met een error zodra ik het kenteken wil opzoeken.
    De error is als volgt:
    Warning: preg_grep() expects parameter 2 to be array, string given in /www/htdocs/hgtrfdjhiuy/wp-content/plugins/open-rdw-kenteken-voertuiginformatie/includes/class-open-rdw-kenteken-voertuiginformatie-api.php on line 51

    Als ik dan het bestand bekijk dan zit hier het probleem in:
    $sidecalls = preg_grep(‘/https:\/\/opendata.rdw.nl\/resource\/(\w+)/’, $response);

    Nogmaals, heeft dit te maken met de verouderde PHP? Of is dit op een andere manier op te lossen?

Viewing 1 replies (of 1 total)
  • The topic ‘Undefined’ is closed to new replies.